Package org.jfree.report.modules.factories.report.flow

# Class StyleKeyReadHandler

java.lang.Object
org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
org.pentaho.reporting.libraries.xmlns.parser.StringReadHandler
org.jfree.report.modules.factories.report.flow.StyleKeyReadHandler

All Implemented Interfaces:
  `org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`

public class StyleKeyReadHandler extends org.pentaho.reporting.libraries.xmlns.parser.StringReadHandler
Deprecated.
remove me..
Creation-Date: 09.04.2006, 13:48:17

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`StyleKeyReadHandler()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getObject()`
Deprecated.
Returns the object for this element.

### Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.StringReadHandler

`characters, doneParsing, getResult, startParsing`

### Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler

`deriveParseParameters, endElement, getHandlerForChild, getLocator, getRootHandler, getTagName, getUri, init, isSameNamespace, performExternalParsing, performExternalParsing, startElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StyleKeyReadHandler

public StyleKeyReadHandler()
Deprecated.

## Method Details

### getObject

public Object getObject()
Deprecated.
Returns the object for this element.

Specified by:
  `getObject` in interface `org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`
Overrides:
  `getObject` in class `org.pentaho.reporting.libraries.xmlns.parser.StringReadHandler`
Returns:
  the object.